## gnulib 0.0.20051110

=== doc/Makefile ===
# $Id: Makefile,v 1.1 2004/09/19 13:17:06 karl Exp $
# Makefile for gnulib doc.  
# Copyright (C) 2004 Free Software Foundation, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.

doc = gnulib

TEXI2HTML = $(MAKEINFO) --no-split --html
%.html: %.texi
	$(TEXI2HTML) -o $@ $< 

all: $(doc).info $(doc).html $(doc).dvi

## gnulib 20060701+dfsg

=== doc/Makefile ===
# $Id: Makefile,v 1.3 2006/06/19 20:40:26 karl Exp $
# Makefile for gnulib doc.  
# Copyright (C) 2004, 2006 Free Software Foundation, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.

doc = gnulib

TEXI2HTML = $(MAKEINFO) --no-split --html
%.html: %.texi
	$(TEXI2HTML) -o $@ $< 

all: info html dvi
info: $(doc).info
html: $(doc).html
dvi: $(doc).dvi

## gnulib 20061201+dfsg

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.3 2006/06/19 20:40:26 karl Exp $
+# $Id: Makefile,v 1.4 2006/08/11 06:39:41 rwild Exp $
 # Makefile for gnulib doc.  
 # Copyright (C) 2004, 2006 Free Software Foundation, Inc.
 #
@@ -16,3 +16,5 @@
 info: $(doc).info
 html: $(doc).html
 dvi: $(doc).dvi
+
+standards.info standards.html standards.dvi: standards.texi make-stds.texi

## gnulib 20070601+dfsg

=== doc/Makefile ===
# $Id: Makefile,v 1.7 2007/05/01 15:14:20 haible Exp $
# Makefile for gnulib doc.  
# Copyright (C) 2004, 2006-2007 Free Software Foundation, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.

doc = gnulib

TEXI2HTML = $(MAKEINFO) --no-split --html
%.html: %.texi
	$(TEXI2HTML) -o $@ $<

%.info: %.texi
	LANG= LC_MESSAGES= LC_ALL= LANGUAGE= makeinfo --no-split --reference-limit=2000 $<

all: info html dvi
info: $(doc).info
html: $(doc).html
dvi: $(doc).dvi

# Dependencies. Search for @include to find them all.
gnulib.info gnulib.html gnulib.dvi: gnulib.texi gnulib-intro.texi gnulib-tool.texi $(wildcard headers/*.texi) $(wildcard functions/*.texi) quote.texi error.texi gcd.texi relocatable-maint.texi regexprops-generic.texi fdl.texi
standards.info standards.html standards.dvi: standards.texi make-stds.texi fdl.texi

mostlyclean:
	rm -f *.aux *.cp *.cps *.fn *.ky *.log *.pg *.toc *.tp *.vr *.vrs

clean: mostlyclean
	rm -f *.info *.html *.dvi *.ps *.pdf

## gnulib 20071201+dfsg

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.7 2007/05/01 15:14:20 haible Exp $
+# $Id: Makefile,v 1.8 2007-07-06 22:56:38 haible Exp $
 # Makefile for gnulib doc.  
 # Copyright (C) 2004, 2006-2007 Free Software Foundation, Inc.
 #
@@ -8,7 +8,7 @@
 
 doc = gnulib
 
-TEXI2HTML = $(MAKEINFO) --no-split --html
+TEXI2HTML = $(MAKEINFO) --no-split --reference-limit=2000 --html
 %.html: %.texi
 	$(TEXI2HTML) -o $@ $<

## gnulib 20080701

=== doc/Makefile ===
# Makefile for gnulib doc.
# Copyright (C) 2004, 2006-2008 Free Software Foundation, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.

doc = gnulib

TEXI2HTML = $(MAKEINFO) --no-split --reference-limit=2000 --html
%.html: %.texi
	$(TEXI2HTML) -o $@ $<

%.info: %.texi
	LANG= LC_MESSAGES= LC_ALL= LANGUAGE= makeinfo --no-split --reference-limit=2000 $<

%.pdf: %.texi
	texi2pdf $< || { if texi2pdf $< 2>/dev/null | grep 'TeX capacity exceeded, sorry \[save size=' > /dev/null; then echo '*** You must increase the save_size in your texmf.cnf file.'; fi; exit 1; }

all: info html dvi
info: $(doc).info
html: $(doc).html
dvi: $(doc).dvi
pdf: $(doc).pdf

GNULIB_TEXI_FILES = $(filter-out maintain.texi make-stds.texi standards.texi,$(wildcard *.texi)) $(wildcard posix-headers/*.texi) $(wildcard posix-functions/*.texi) $(wildcard glibc-headers/*.texi) $(wildcard glibc-functions/*.texi)

# Date of last update. Requires GNU date.
updated-stamp: $(GNULIB_TEXI_FILES)
	date -u -r `ls -t $^ | sed 1q` +"@set UPDATED %F %T" > $@

# Dependencies. Search for @include to find them all.
gnulib.info gnulib.html gnulib.dvi gnulib.pdf: $(GNULIB_TEXI_FILES) updated-stamp
standards.info standards.html standards.dvi: standards.texi make-stds.texi fdl.texi

mostlyclean:
	rm -f *.aux *.cp *.cps *.fn *.ky *.log *.pg *.toc *.tp *.vr *.vrs
	rm -f updated-stamp

clean: mostlyclean
	rm -f *.info *.html *.dvi *.ps *.pdf

## gnulib 20090101

=== doc/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 doc = gnulib
 
+MAKEINFO = env LANG= LC_MESSAGES= LC_ALL= LANGUAGE= makeinfo
 TEXI2HTML = $(MAKEINFO) --no-split --reference-limit=2000 --html
 %.html: %.texi
 	$(TEXI2HTML) -o $@ $<
@@ -22,6 +23,18 @@
 html: $(doc).html
 dvi: $(doc).dvi
 pdf: $(doc).pdf
+
+# INSTALL file with old ASCII quotation marks (looks ugly on modern machines).
+INSTALL: install.texi
+	$(MAKEINFO) --plaintext --no-validate $< > $@
+
+# INSTALL file with ISO 646 or ISO 8859 quotation marks.
+INSTALL.ISO: install.texi
+	$(MAKEINFO) --plaintext --no-validate $< | sed -e "s/\`\([^']*\)'/'\1'/g" > $@
+
+# INSTALL file wit ISO 10646 (Unicode) quotation marks.
+INSTALL.UTF-8: install.texi
+	$(MAKEINFO) --plaintext --no-validate $< | sed -e "s/\`\([^']*\)'/‘\1’/g" > $@
 
 GNULIB_TEXI_FILES = $(filter-out maintain.texi make-stds.texi standards.texi,$(wildcard *.texi)) $(wildcard posix-headers/*.texi) $(wildcard posix-functions/*.texi) $(wildcard glibc-headers/*.texi) $(wildcard glibc-functions/*.texi)

## gnulib 20100424+stable

=== Makefile ===
# Makefile for gnulib central.
# Copyright (C) 2006, 2009, 2010 Free Software Foundation, Inc.
#
# Copying and distribution of this file, with or without modification,
# in any medium, are permitted without royalty provided the copyright
# notice and this notice are preserved.

# Produce some files that are not stored in the repository.
all:

# Produce the documentation in readable form.
info html dvi pdf:
	cd doc && $(MAKE) $@ && $(MAKE) mostlyclean

# Perform some platform independent checks on the gnulib code.
check: sc_prefer_ac_check_funcs_once

sc_prefer_ac_check_funcs_once:
	[ -d .git ] && \
	git grep -w -l AC_CHECK_FUNCS modules && \
	  { echo use AC_CHECK_FUNCS_ONCE, not AC_CHECK_FUNCS in modules/ 1>&2; \
	    exit 1; } || :

# Regenerate some files that are stored in the repository.
regen: MODULES.html

# MODULES.html is periodically being generated and copied to the web pages at
# :ext:USER@cvs.savannah.gnu.org:/web/gnulib/gnulib/
# where it then appears at <http://www.gnu.org/software/gnulib/MODULES.html>.
MODULES.html: MODULES.html.sh
	./MODULES.html.sh > MODULES.html

=== debian/changelog ===
gnulib (20100424+stable-1) unstable; urgency=low

  * New upstream stable snapshot.
  * Refresh 01-gnulib-directory.patch.
  * Switch to source format 3.0 (quilt).
  * debian/rules: Remove 'upstream' target - not needed now we use stable
    snapshot tarballs.

 -- Ian Beckwith <ianb@debian.org>  Sat, 24 Apr 2010 22:06:23 +0100

gnulib (20100308+stable-1) unstable; urgency=low

  * New upstream stable snapshot.
  * Standards-Version: 3.8.4 (no changes).
  * Refresh 01-gnulib-directory.patch.

 -- Ian Beckwith <ianb@debian.org>  Mon, 08 Mar 2010 06:51:23 +0000

gnulib (20100109+stable-1) unstable; urgency=low

  * New upstream stable snapshot
    + at_func2.c: fix free. Thanks to Petr Salinger (Closes: #561117).
  * debian/rules: make lib/config.charset executable.

 -- Ian Beckwith <ianb@debian.org>  Sun, 17 Jan 2010 07:26:49 +0000

gnulib (20091120+stable-1) unstable; urgency=low

  * New upstream stable snapshot.
  * Install posix-modules (Closes: #555493).
    Also install MODULES.html.sh and the root Makefile, just in case.
  * Install NEWS, NEWS.stable, README, users.txt to /usr/share/doc/gnulib.
  * Add dependencies for everything needed by gnulib-tool.
  * Add lintian executable-not-elf-or-script overrides for scripts
    in build-aux/ that invoke themselves with excessively magical
    non-shebang lines.
  * debian/clscan/clscan: allow LGPL-3+ as an override.
  * debian/control: add Vcs-* headers.

 -- Ian Beckwith <ianb@debian.org>  Fri, 20 Nov 2009 01:19:58 +0000

gnulib (20090915+f32c9d0-2) unstable; urgency=low

  * Add top/ to installed directories.
  * debian/rules: don't chmod canonicalize-lgpl.m4: removed.

 -- Ian Beckwith <ianb@debian.org>  Sun, 27 Sep 2009 04:11:26 +0100

gnulib (20090915+f32c9d0-1) unstable; urgency=low

  * New upstream snapshot 20090915+f32c9d0.
  * Full license/copyright audit.
    See debian/clscan/README for info on updating debian/copyright.

 -- Ian Beckwith <ianb@debian.org>  Wed, 16 Sep 2009 03:01:32 +0100

gnulib (20090908+c5c46dc-1) unstable; urgency=low

  * New maintainer (closes: #543842).
  * New upstream snapshot 20090908+c5c46dc.
  * debian/rules:
    + upstream:
      * use short git hash in package version.
      * use --depth 1 when cloning.
    + override_dh_install:
      * remove .cvsignore and .gitignore files
  * debian/control:
    + add Depends: ${misc:Depends}.
    + Bump debhelper build-dep to >= 7.0.50~ (for overrides).
    + Add clisp to Suggests: for gen-uninames.lisp. Should only
      be needed if you are hacking on gnulib itself.
  * Added debian/README.source.
  * Added stub debian/watch file.
  * Registered gnulib.html with doc-base.
  * debian/copyright: improved somewhat; still needs more work.
  * Fixed perms on test scripts.

 -- Ian Beckwith <ianb@debian.org>  Tue, 08 Sep 2009 02:35:47 +0100

gnulib (20090801-2) unstable; urgency=low

  * Updating package to standards version 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 07:32:01 +0200

gnulib (20090801-1) unstable; urgency=low

  * Merging upstream version 20090801.
  * Minimalizing rules file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 03 Aug 2009 00:26:08 +0200

gnulib (20090701-1) unstable; urgency=low

  * Merging upstream version 20090701.

 -- Daniel Baumann <daniel@debian.org>  Fri, 10 Jul 2009 12:13:50 +0200

gnulib (20090601-1) UNRELEASED; urgency=low

  * Merging upstream version 20090601.
  * Updating package to standards version 3.8.2.
  * Using correct rfc-2822 date formats in changelog.

 -- Daniel Baumann <daniel@debian.org>  Fri, 10 Jul 2009 12:09:20 +0200

gnulib (20090501-1) unstable; urgency=low

  * Merging upstream version 20090501.

 -- Daniel Baumann <daniel@debian.org>  Sun, 03 May 2009 15:21:00 +0200

gnulib (20090401-1) unstable; urgency=low

  * Merging upstream version 20090401.
  * Using quilt rather than dpatch.
  * Upgrading package to standards 3.8.1.
  * Tidy rules file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 06 Apr 2009 04:01:00 +0200

gnulib (20090301-1) unstable; urgency=low

  * Merging upstream version 20090301.

 -- Daniel Baumann <daniel@debian.org>  Sun, 01 Mar 2009 13:51:00 +0100

gnulib (20090201-1) unstable; urgency=low

  * Merging upstream version 20090201.

 -- Daniel Baumann <daniel@debian.org>  Sun, 01 Feb 2009 15:09:00 +0100

gnulib (20090101-1) unstable; urgency=low

  * Merging upstream version 20090101.
  * Correcting a couple of typos in check-module manpage, thanks to
    Reuben Thomas <rrt@femur.dyndns.org> (Closes: #503083).

 -- Daniel Baumann <daniel@debian.org>  Fri, 09 Jan 2009 13:55:00 -0500

gnulib (20081201-1) unstable; urgency=low

  * Replacing obsolete dh_clean -k with dh_prep.
  * Merging upstream version 20081201.
  * Prefixing debhelper files with package name.

 -- Daniel Baumann <daniel@debian.org>  Mon, 01 Dec 2008 23:36:00 +0100

gnulib (20081101-1) unstable; urgency=low

  * Merging upstream version 20081101.

 -- Daniel Baumann <daniel@debian.org>  Wed, 05 Nov 2008 21:17:00 +0100

gnulib (20081001-1) unstable; urgency=low

  * Updating vcs fields in control file.
  * Using patch-stamp rather than patch in rules file.
  * Merging upstream version 20081001.

 -- Daniel Baumann <daniel@debian.org>  Sat, 04 Oct 2008 10:13:00 +0200

gnulib (20080901-1) unstable; urgency=medium

  * Merging upstream version 20080901:
    - Fixes pipe problem in gnulib-tool (Closes: #497298).

 -- Daniel Baumann <daniel@debian.org>  Mon, 01 Sep 2008 12:56:00 +0200

gnulib (20080801-1) unstable; urgency=low

  * Merging upstream version 20080801.

 -- Daniel Baumann <daniel@debian.org>  Sun, 03 Aug 2008 20:36:00 +0200

gnulib (20080701-1) unstable; urgency=low

  * Merging upstream version 20080701.
  * Updating to standards 3.8.0.

 -- Daniel Baumann <daniel@debian.org>  Tue, 01 Jul 2008 14:40:00 +0200

gnulib (20080601-1) unstable; urgency=low

  * Merging upstream version 20080601.



=== debian/control ===
Source: gnulib
Section: devel
Priority: optional
Maintainer: Ian Beckwith <ianb@debian.org>
Build-Depends: debhelper (>= 7.0.50~), texinfo
Standards-Version: 3.8.4
Homepage: http://www.gnu.org/software/gnulib/
Vcs-Browser: http://erislabs.net/gitweb?p=gnulib.git
Vcs-Git: git://erislabs.net/gnulib.git

Package: gnulib
Architecture: all
Depends: ${misc:Depends}, build-essential, m4, autoconf, automake, gettext, bison, gperf, texinfo, libtool
Suggests: perl, clisp
Description: GNU Portability Library
 The GNU portability library is a macro system and C declarations and
 definitions for commonly-used API elements and abstracted system behaviors. It
 can be used to improve portability and other functionality in your programs.

## gnulib 20100704+stable

=== Makefile ===
--- 
+++ 
@@ -16,10 +16,11 @@
 check: sc_prefer_ac_check_funcs_once
 
 sc_prefer_ac_check_funcs_once:
-	[ -d .git ] && \
-	git grep -w -l AC_CHECK_FUNCS modules && \
-	  { echo use AC_CHECK_FUNCS_ONCE, not AC_CHECK_FUNCS in modules/ 1>&2; \
-	    exit 1; } || :
+	if test -d .git; then						\
+          git grep -w -l AC_CHECK_FUNCS modules				\
+            && { echo use AC_CHECK_FUNCS_ONCE, not AC_CHECK_FUNCS	\
+                   in modules/ 1>&2; exit 1; } || :			\
+	else :; fi
 
 # Regenerate some files that are stored in the repository.
 regen: MODULES.html

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for gnulib doc.
-# Copyright (C) 2004, 2006-2008 Free Software Foundation, Inc.
+# Copyright (C) 2004, 2006-2010 Free Software Foundation, Inc.
 #
 # Copying and distribution of this file, with or without modification,
 # are permitted in any medium without royalty provided the copyright
@@ -9,14 +9,18 @@
 
 MAKEINFO = env LANG= LC_MESSAGES= LC_ALL= LANGUAGE= makeinfo
 TEXI2HTML = $(MAKEINFO) --no-split --reference-limit=2000 --html
-%.html: %.texi
-	$(TEXI2HTML) -o $@ $<
 
 %.info: %.texi
 	LANG= LC_MESSAGES= LC_ALL= LANGUAGE= makeinfo --no-split --reference-limit=2000 $<
 
+%.html: %.texi
+	$(TEXI2HTML) -o $@ $<
+
+%.dvi: %.texi
+	texi2dvi $< || { if texi2dvi $< 2>/dev/null | grep 'TeX capacity exceeded, sorry \[save size=' > /dev/null; then echo '*** You must increase the save_size in your texmf.cnf file, often located under /etc/texmf/.'; fi; exit 1; }
+
 %.pdf: %.texi
-	texi2pdf $< || { if texi2pdf $< 2>/dev/null | grep 'TeX capacity exceeded, sorry \[save size=' > /dev/null; then echo '*** You must increase the save_size in your texmf.cnf file.'; fi; exit 1; }
+	texi2pdf $< || { if texi2pdf $< 2>/dev/null | grep 'TeX capacity exceeded, sorry \[save size=' > /dev/null; then echo '*** You must increase the save_size in your texmf.cnf file, often located under /etc/texmf/.'; fi; exit 1; }
 
 all: info html dvi
 info: $(doc).info

=== debian/changelog ===
gnulib (20100704+stable-1) unstable; urgency=low

  * New upstream stable snapshot.
  * Depends: gettext (>= 0.18.1), autopoint.
  * Standards-Version: 3.9.0 (no changes).

 -- Ian Beckwith <ianb@debian.org>  Sun, 04 Jul 2010 03:05:46 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Ian Beckwith <ianb@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), texinfo
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Homepage: http://www.gnu.org/software/gnulib/
 Vcs-Browser: http://erislabs.net/gitweb?p=gnulib.git
 Vcs-Git: git://erislabs.net/gnulib.git
 
 Package: gnulib
 Architecture: all
-Depends: ${misc:Depends}, build-essential, m4, autoconf, automake, gettext, bison, gperf, texinfo, libtool
+Depends: ${misc:Depends}, build-essential, m4, autoconf, automake, gettext (>= 0.18.1), autopoint, bison, gperf, texinfo, libtool
 Suggests: perl, clisp
 Description: GNU Portability Library
  The GNU portability library is a macro system and C declarations and

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_clean:
	$(MAKE) -C doc clean

override_dh_auto_build:
	$(MAKE) -C doc info
	$(MAKE) -C doc html

override_dh_auto_install:
	mkdir -p debian/gnulib/usr/bin
	cp -a check-module gnulib-tool debian/gnulib/usr/bin

	mkdir -p debian/gnulib/usr/share/gnulib
	cp -a build-aux posix-modules config doc lib m4 modules top tests \
              MODULES.html.sh Makefile debian/gnulib/usr/share/gnulib

	# Fixing permissions
	chmod 0755 debian/gnulib/usr/share/gnulib/build-aux/config.guess
	chmod 0755 debian/gnulib/usr/share/gnulib/build-aux/config.sub
	chmod 0755 debian/gnulib/usr/share/gnulib/build-aux/gendocs.sh
	chmod 0644 debian/gnulib/usr/share/gnulib/doc/gendocs_template
	chmod 0755 debian/gnulib/usr/share/gnulib/lib/config.charset
	chmod 0644 debian/gnulib/usr/share/gnulib/m4/fflush.m4
	chmod 0644 debian/gnulib/usr/share/gnulib/modules/canonicalize-lgpl
	chmod 0644 debian/gnulib/usr/share/gnulib/modules/fflush
	chmod 0644 debian/gnulib/usr/share/gnulib/modules/fflush-tests
	chmod 0644 debian/gnulib/usr/share/gnulib/tests/test-base64.c
	chmod 0755 debian/gnulib/usr/share/gnulib/tests/test-closein.sh
	chmod 0644 debian/gnulib/usr/share/gnulib/tests/test-fflush.c
	chmod 0755 debian/gnulib/usr/share/gnulib/tests/test-posix_spawn1.in.sh
	chmod 0755 debian/gnulib/usr/share/gnulib/tests/test-posix_spawn2.in.sh

	# Removing unused files
	rm -f debian/gnulib/usr/share/gnulib/modules/COPYING
	rm -f debian/gnulib/usr/share/gnulib/*/.cvsignore
	rm -f debian/gnulib/usr/share/gnulib/*/.gitignore

## gnulib 20110412+stable

=== Makefile ===
# GNU Makefile for gnulib central.
# Copyright (C) 2006, 2009-2011 Free Software Foundation, Inc.
#
# Copying and distribution of this file, with or without modification,
# in any medium, are permitted without royalty provided the copyright
# notice and this notice are preserved.

# This Makefile requires the use of GNU make.  Some targets require
# that you have tools like git, makeinfo and cppi installed.

# Produce some files that are not stored in the repository.
all:

# Produce the documentation in readable form.
info html dvi pdf:
	cd doc && $(MAKE) $@ && $(MAKE) mostlyclean

# Collect the names of rules starting with `sc_'.
syntax-check-rules := $(sort $(shell sed -n 's/^\(sc_[a-zA-Z0-9_-]*\):.*/\1/p'\
			Makefile))

# Perform some platform independent checks on the gnulib code.
check: $(syntax-check-rules)

sc_prefer_ac_check_funcs_once:
	if test -d .git; then						\
	  git grep -w -l AC_CHECK_FUNCS modules				\
	    && { echo use AC_CHECK_FUNCS_ONCE, not AC_CHECK_FUNCS	\
		   in modules/ 1>&2; exit 1; } || :			\
	else :; fi

sc_prohibit_augmenting_PATH_via_TESTS_ENVIRONMENT:
	if test -d .git; then						\
	  url=http://thread.gmane.org/gmane.comp.lib.gnulib.bugs/22874;	\
	  git grep '^[	 ]*TESTS_ENVIRONMENT += PATH=' modules		\
	    && { printf '%s\n' 'Do not augment PATH via TESTS_ENVIRONMENT;' \
		 "  see <$$url>" 1>&2; exit 1; } || :			\
	else :; fi

sc_pragma_columns:
	if test -d .git; then						\
	  git ls-files|grep '\.in\.h$$'					\
	      | xargs grep -l '^@PRAGMA_SYSTEM_HEADER@'			\
	      | xargs grep -L '^@PRAGMA_COLUMNS@'			\
	      | grep .							\
	    && { printf '%s\n'						\
		   'the files listed above use @PRAGMA_SYSTEM_HEADER@'	\
		   'without also using @PRAGMA_COLUMNS@' 1>&2;		\
		 exit 1; } || :;					\
	else :; fi

# Verify that certain (for now, only Jim Meyering and Eric Blake's)
# *.c files are consistently cpp indented.
sc_cpp_indent_check:
	./gnulib-tool --extract-filelist \
            $$(cd ./modules; grep -ilrE '(meyering|blake)' .) \
          | sort -u \
          | grep '\.c$$' \
          | grep -v '/getloadavg\.c$$' \
          | xargs cppi -c

# Regenerate some files that are stored in the repository.
regen: MODULES.html

# MODULES.html is periodically being generated and copied to the web pages at
# :ext:USER@cvs.savannah.gnu.org:/web/gnulib/gnulib/
# where it then appears at <http://www.gnu.org/software/gnulib/MODULES.html>.
MODULES.html: MODULES.html.sh
	./MODULES.html.sh > MODULES.html

# Run this rule once per year (usually early in January)
# to update all FSF copyright year lists here.
# We exclude the files listed in srclist.txt (maintained elsewhere)
# as well as those in tests/unictype (generated).
# Also exclude any file that includes the "GENERATED AUTOMATICALLY" comment,
# being careful not to exclude code that merely generates the comment.
# Also exclude doc/INSTALL*, since they too are generated.
update-copyright:
	exempt=$$(mktemp);						\
	grep -v '^#' config/srclist.txt|grep -v '^$$'			\
	  | while read src dst; do					\
	      test -f "$$dst" && { echo "$$dst"; continue; };		\
	      test -d "$$dst" || continue;				\
	      echo "$$dst"/$$(basename "$$src");			\
	    done > $$exempt;						\
	git ls-files tests/unictype >> $$exempt;			\
	git ls-files doc/INSTALL* >> $$exempt;				\
	git ls-files | grep -vFf $$exempt				\
	  | xargs grep -L '^/\*.*GENERATED AUTOMATICALLY'		\
	  | UPDATE_COPYRIGHT_MAX_LINE_LENGTH=79				\
	    UPDATE_COPYRIGHT_USE_INTERVALS=1				\
	      xargs build-aux/update-copyright

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for gnulib doc.
-# Copyright (C) 2004, 2006-2010 Free Software Foundation, Inc.
+# Copyright (C) 2004, 2006-2011 Free Software Foundation, Inc.
 #
 # Copying and distribution of this file, with or without modification,
 # are permitted in any medium without royalty provided the copyright
@@ -7,11 +7,15 @@
 
 doc = gnulib
 
-MAKEINFO = env LANG= LC_MESSAGES= LC_ALL= LANGUAGE= makeinfo
-TEXI2HTML = $(MAKEINFO) --no-split --reference-limit=2000 --html
+lang_env = env LANG= LC_MESSAGES= LC_ALL= LANGUAGE=
+makeinfo_prog = makeinfo
+MAKEINFO = $(lang_env) $(makeinfo_prog)
+
+manual_opts = --no-split --reference-limit=2000
+TEXI2HTML = $(MAKEINFO) $(manual_opts) --html
 
 %.info: %.texi
-	LANG= LC_MESSAGES= LC_ALL= LANGUAGE= makeinfo --no-split --reference-limit=2000 $<
+	$(MAKEINFO) $(manual_opts) $<
 
 %.html: %.texi
 	$(TEXI2HTML) -o $@ $<
@@ -28,17 +32,27 @@
 dvi: $(doc).dvi
 pdf: $(doc).pdf
 
+INSTALL_PRELUDE = echo '@firstparagraphindent insert'
+
 # INSTALL file with old ASCII quotation marks (looks ugly on modern machines).
 INSTALL: install.texi
-	$(MAKEINFO) --plaintext --no-validate $< > $@
+	$(INSTALL_PRELUDE) | cat - $< > tmp.texi
+	$(MAKEINFO) --plaintext --no-validate tmp.texi > $@
+	rm -f tmp.texi
 
 # INSTALL file with ISO 646 or ISO 8859 quotation marks.
 INSTALL.ISO: install.texi
-	$(MAKEINFO) --plaintext --no-validate $< | sed -e "s/\`\([^']*\)'/'\1'/g" > $@
+	$(INSTALL_PRELUDE) | cat - $< > tmpi.texi
+	$(MAKEINFO) --plaintext --no-validate tmpi.texi \
+	  | sed -e "s/\`\([^']*\)'/'\1'/g" > $@
+	rm -f tmpi.texi
 
 # INSTALL file wit ISO 10646 (Unicode) quotation marks.
 INSTALL.UTF-8: install.texi
-	$(MAKEINFO) --plaintext --no-validate $< | sed -e "s/\`\([^']*\)'/‘\1’/g" > $@
+	$(INSTALL_PRELUDE) | cat - $< > tmpu.texi
+	$(MAKEINFO) --plaintext --no-validate tmpu.texi \
+	  | sed -e "s/\`\([^']*\)'/‘\1’/g" > $@
+	rm -f tmpu.texi
 
 GNULIB_TEXI_FILES = $(filter-out maintain.texi make-stds.texi standards.texi,$(wildcard *.texi)) $(wildcard posix-headers/*.texi) $(wildcard posix-functions/*.texi) $(wildcard glibc-headers/*.texi) $(wildcard glibc-functions/*.texi)

=== debian/changelog ===
gnulib (20110412+stable-1) unstable; urgency=low

  * New upstream stable snapshot.
  * Refresh 01-gnulib-directory.patch.
  * Disable test suite - now requires cppi which is not in Debian.
  * Fix lintian override path syntax.

 -- Ian Beckwith <ianb@debian.org>  Thu, 14 Apr 2011 17:58:14 +0100

gnulib (20110216+stable-1) unstable; urgency=low

  * New upstream stable snapshot.
  * Resume uploading to unstable.
  * Refreshed patches.

 -- Ian Beckwith <ianb@debian.org>  Thu, 17 Feb 2011 00:04:04 +0000

gnulib (20101221+stable-1) experimental; urgency=low

  * New upstream stable snapshot, identical to the
    previous 20101220+stable-1 but with:
    [d534aa8]->[385ec31] iconv_open: Fix regression from 2010-12-04.

 -- Ian Beckwith <ianb@debian.org>  Wed, 22 Dec 2010 23:17:09 +0000

gnulib (20101220+stable-1) experimental; urgency=low

  * New upstream stable snapshot.

 -- Ian Beckwith <ianb@debian.org>  Mon, 20 Dec 2010 21:01:23 +0000

gnulib (20101024+stable-1) experimental; urgency=low

  * New upstream stable snapshot.
  * Upload to experimental as squeeze is frozen.

 -- Ian Beckwith <ianb@debian.org>  Sun, 24 Oct 2010 01:04:55 +0100

gnulib (20100829+stable-1) experimental; urgency=low

  * New upstream stable snapshot.
  * Upload to experimental as squeeze is frozen.
  * Refresh 01-gnulib-directory.patch.
  * Standards-Version: 3.9.1 (no changes).

 -- Ian Beckwith <ianb@debian.org>  Mon, 30 Aug 2010 22:00:33 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ian Beckwith <ianb@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), texinfo
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://www.gnu.org/software/gnulib/
 Vcs-Browser: http://erislabs.net/gitweb?p=gnulib.git
 Vcs-Git: git://erislabs.net/gnulib.git

## gnulib 20110609+stable

=== debian/changelog ===
gnulib (20110609+stable-1) unstable; urgency=low

  * New upstream stable snapshot.
  * Refresh patches.
  * Standards-Version: 3.9.2 (no changes).

 -- Ian Beckwith <ianb@debian.org>  Fri, 10 Jun 2011 03:38:41 +0100

## gnulib 20110908+stable

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,9 @@
 
 # This Makefile requires the use of GNU make.  Some targets require
 # that you have tools like git, makeinfo and cppi installed.
+
+# Required for the use of <(...) below.
+SHELL=/bin/bash
 
 # Produce some files that are not stored in the repository.
 all:
@@ -29,12 +32,57 @@
 		   in modules/ 1>&2; exit 1; } || :			\
 	else :; fi
 
+sc_prohibit_leading_TABs:
+	if test -d .git; then						\
+	  git grep -l '^ *	' lib m4 tests				\
+            | grep -Ev '^lib/reg|Makefile|test-update-copyright'	\
+            | grep .							\
+	    && { printf '*** %s\n' 'indent with spaces, not TABs;'	\
+		 1>&2; exit 1; } || :					\
+	else :; fi
+
 sc_prohibit_augmenting_PATH_via_TESTS_ENVIRONMENT:
 	if test -d .git; then						\
 	  url=http://thread.gmane.org/gmane.comp.lib.gnulib.bugs/22874;	\
 	  git grep '^[	 ]*TESTS_ENVIRONMENT += PATH=' modules		\
 	    && { printf '%s\n' 'Do not augment PATH via TESTS_ENVIRONMENT;' \
 		 "  see <$$url>" 1>&2; exit 1; } || :			\
+	else :; fi
+
+# Files in m4/ that (exceptionally) may use AC_LIBOBJ.
+# Do not include their ".m4" suffix.
+allow_AC_LIBOBJ =	\
+  close			\
+  dprintf		\
+  dup2			\
+  faccessat		\
+  fchdir		\
+  fclose		\
+  fcntl			\
+  fprintf-posix		\
+  open			\
+  printf-posix-rpl	\
+  snprintf		\
+  sprintf-posix		\
+  stdio_h		\
+  vasnprintf		\
+  vasprintf		\
+  vdprintf		\
+  vfprintf-posix	\
+  vprintf-posix		\
+  vsnprintf		\
+  vsprintf-posix
+
+allow_AC_LIBOBJ_or := $(shell echo $(allow_AC_LIBOBJ) | tr -s ' ' '|')
+
+sc_prohibit_AC_LIBOBJ_in_m4:
+	url=http://article.gmane.org/gmane.comp.lib.gnulib.bugs/26995;	\
+	if test -d .git; then						\
+	  git ls-files m4						\
+	     | grep -Ev '^m4/($(allow_AC_LIBOBJ_or))\.m4$$'		\
+	     | xargs grep '^ *AC_LIBOBJ('				\
+	    && { printf '%s\n' 'Do not use AC_LIBOBJ in m4/*.m4;'	\
+		 "see <$$url>"; exit 1; } || :;				\
 	else :; fi
 
 sc_pragma_columns:
@@ -56,8 +104,18 @@
             $$(cd ./modules; grep -ilrE '(meyering|blake)' .) \
           | sort -u \
           | grep '\.c$$' \
-          | grep -v '/getloadavg\.c$$' \
+          | grep -vE '/(stdio-(read|write)|getloadavg)\.c$$' \
           | xargs cppi -c
+
+# Ensure that the list of symbols checked for by the
+# sc_prohibit_intprops_without_use rule match those in the actual file.
+# Extract the symbols from the .h file and compare with the list of
+# symbols extracted from the rule in maint.mk.
+sc_check_sym_list:
+	i=lib/intprops.h; \
+	diff -u <(perl -lne '/^# *define ([A-Z]\w+)\(/ and print $$1' $$i|fmt) \
+	  <(sed -n /^_intprops_name/,/^_intprops_syms_re/p top/maint.mk \
+            |sed '/^_/d;s/^  //;s/	*\\$$//')
 
 # Regenerate some files that are stored in the repository.
 regen: MODULES.html

=== debian/changelog ===
gnulib (20110908+stable-1) unstable; urgency=low

  * New upstream stable snapshot.
  * Refresh 01-gnulib-directory.patch.

 -- Ian Beckwith <ianb@debian.org>  Thu, 08 Sep 2011 20:38:18 +0100

## gnulib 20111211+stable

=== debian/changelog ===
gnulib (20111211+stable-1) unstable; urgency=low

  * New upstream stable snapshot.
  * Refresh 01-gnulib-directory.patch.

 -- Ian Beckwith <ianb@debian.org>  Sun, 11 Dec 2011 06:56:11 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ian Beckwith <ianb@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), texinfo
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.gnu.org/software/gnulib/
 Vcs-Browser: http://erislabs.net/gitweb?p=gnulib.git
 Vcs-Git: git://erislabs.net/gnulib.git

## gnulib 20120404+stable

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # GNU Makefile for gnulib central.
-# Copyright (C) 2006, 2009-2011 Free Software Foundation, Inc.
+# Copyright (C) 2006, 2009-2012 Free Software Foundation, Inc.
 #
 # Copying and distribution of this file, with or without modification,
 # in any medium, are permitted without royalty provided the copyright
@@ -18,7 +18,7 @@
 info html dvi pdf:
 	cd doc && $(MAKE) $@ && $(MAKE) mostlyclean
 
-# Collect the names of rules starting with `sc_'.
+# Collect the names of rules starting with 'sc_'.
 syntax-check-rules := $(sort $(shell sed -n 's/^\(sc_[a-zA-Z0-9_-]*\):.*/\1/p'\
 			Makefile))
 
@@ -35,8 +35,8 @@
 sc_prohibit_leading_TABs:
 	if test -d .git; then						\
 	  git grep -l '^ *	' lib m4 tests				\
-            | grep -Ev '^lib/reg|Makefile|test-update-copyright'	\
-            | grep .							\
+	    | grep -Ev '^lib/reg|Makefile|test-update-copyright'	\
+	    | grep .							\
 	    && { printf '*** %s\n' 'indent with spaces, not TABs;'	\
 		 1>&2; exit 1; } || :					\
 	else :; fi
@@ -48,6 +48,13 @@
 	    && { printf '%s\n' 'Do not augment PATH via TESTS_ENVIRONMENT;' \
 		 "  see <$$url>" 1>&2; exit 1; } || :			\
 	else :; fi
+
+# Run all maint.mk syntax-check tests on gnulib's sources.
+sc_maint:
+	rm -f maint.mk; ln -s top/maint.mk maint.mk
+	$(MAKE) -s srcdir=. gnulib_dir=. _build-aux=build-aux \
+            -f cfg.mk -f maint.mk syntax-check
+	rm -f maint.mk
 
 # Files in m4/ that (exceptionally) may use AC_LIBOBJ.
 # Do not include their ".m4" suffix.
@@ -101,11 +108,11 @@
 # *.c files are consistently cpp indented.
 sc_cpp_indent_check:
 	./gnulib-tool --extract-filelist \
-            $$(cd ./modules; grep -ilrE '(meyering|blake)' .) \
-          | sort -u \
-          | grep '\.c$$' \
-          | grep -vE '/(stdio-(read|write)|getloadavg)\.c$$' \
-          | xargs cppi -c
+	    $$(cd ./modules; grep -ilrE '(meyering|blake)' .) \
+	  | sort -u \
+	  | grep '\.c$$' \
+	  | grep -vE '/(stdio-(read|write)|getloadavg)\.c$$' \
+	  | xargs cppi -c
 
 # Ensure that the list of symbols checked for by the
 # sc_prohibit_intprops_without_use rule match those in the actual file.
@@ -115,7 +122,12 @@
 	i=lib/intprops.h; \
 	diff -u <(perl -lne '/^# *define ([A-Z]\w+)\(/ and print $$1' $$i|fmt) \
 	  <(sed -n /^_intprops_name/,/^_intprops_syms_re/p top/maint.mk \
-            |sed '/^_/d;s/^  //;s/	*\\$$//')
+	    |sed '/^_/d;s/^  //;s/	*\\$$//')
+
+# Ensure that the copyright statements in files and in the module descriptions
+# are consistent.
+sc_check_copyright:
+	./check-copyright
 
 # Regenerate some files that are stored in the repository.
 regen: MODULES.html

=== doc/Makefile ===
# Makefile for gnulib doc.
# Copyright (C) 2004, 2006-2012 Free Software Foundation, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.

doc = gnulib

lang_env = env LANG= LC_MESSAGES= LC_ALL= LANGUAGE=
makeinfo_prog = makeinfo
MAKEINFO = $(lang_env) $(makeinfo_prog)

manual_opts = --no-split --reference-limit=2000
TEXI2HTML = $(MAKEINFO) $(manual_opts) --html

# Needed so that tex finds a recent enough texinfo.tex.
tex_opts = -I ../build-aux

%.info: %.texi
	$(MAKEINFO) $(manual_opts) $<

%.html: %.texi
	$(TEXI2HTML) -o $@ $<

%.dvi: %.texi
	texi2dvi $(tex_opts) $< || { if texi2dvi $(tex_opts) $< 2>/dev/null | grep 'TeX capacity exceeded, sorry \[save size=' > /dev/null; then echo '*** You must increase the save_size in your texmf.cnf file, often located under /etc/texmf/.'; fi; exit 1; }

%.pdf: %.texi
	texi2pdf $(tex_opts) $< || { if texi2pdf $(tex_opts) $< 2>/dev/null | grep 'TeX capacity exceeded, sorry \[save size=' > /dev/null; then echo '*** You must increase the save_size in your texmf.cnf file, often located under /etc/texmf/.'; fi; exit 1; }

all: info html dvi
info: $(doc).info
html: $(doc).html
dvi: $(doc).dvi
pdf: $(doc).pdf

INSTALL_PRELUDE = echo '@firstparagraphindent insert'

OMIT_TRAILING_EMPTY_LINES = /^$$/H; /^$$/d; x; s/\n//p; s/\n*//; x

# INSTALL file with old ASCII quotation marks (looks ugly on modern machines).
INSTALL: install.texi
	$(INSTALL_PRELUDE) | cat - $< > tmp.texi
	$(MAKEINFO) --plaintext --no-validate tmp.texi \
	  | sed -e '$(OMIT_TRAILING_EMPTY_LINES)' > $@
	rm -f tmp.texi

# INSTALL file with ISO 646 or ISO 8859 quotation marks.
INSTALL.ISO: INSTALL
	sed -e "s/\`\([^']*\)'/'\1'/g" $< > $@

# INSTALL file with ISO 10646 (Unicode) quotation marks.
INSTALL.UTF-8: INSTALL
	sed -e "s/\`\([^']*\)'/‘\1’/g" $< > $@

GNULIB_TEXI_FILES = $(filter-out maintain.texi make-stds.texi standards.texi,$(wildcard *.texi)) $(wildcard posix-headers/*.texi) $(wildcard posix-functions/*.texi) $(wildcard glibc-headers/*.texi) $(wildcard glibc-functions/*.texi)

# Date of last update. Requires GNU date.
updated-stamp: $(GNULIB_TEXI_FILES)
	date -u -r `ls -t $^ | sed 1q` +"@set UPDATED %F %T" > $@

# Dependencies. Search for @include to find them all.
gnulib.info gnulib.html gnulib.dvi gnulib.pdf: $(GNULIB_TEXI_FILES) updated-stamp
standards.info standards.html standards.dvi: standards.texi make-stds.texi fdl.texi

mostlyclean:
	rm -f *.aux *.cn *.cp *.cps *.fn *.ky *.log *.pg *.toc *.tp *.vr *.vrs
	rm -f updated-stamp

clean: mostlyclean
	rm -f *.info *.html *.dvi *.ps *.pdf

=== debian/changelog ===
gnulib (20120404+stable-1ubuntu1) raring; urgency=low

  * Backported upstream git changeset 66712c23 so that we don't
    keep bailing on builds due to gets() having been removed
    (Closes: #687986).

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 03 Apr 2013 13:53:53 -0400

gnulib (20120404+stable-1) unstable; urgency=low

  * New upstream stable snapshot.
  * Refresh 01-gnulib-directory.patch.
  * Standards-Version: 3.9.3 (no changes).

 -- Ian Beckwith <ianb@debian.org>  Fri, 06 Apr 2012 02:20:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: gnulib
 Section: devel
 Priority: optional
-Maintainer: Ian Beckwith <ianb@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Beckwith <ianb@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), texinfo
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.gnu.org/software/gnulib/
 Vcs-Browser: http://erislabs.net/gitweb?p=gnulib.git
 Vcs-Git: git://erislabs.net/gnulib.git

## gnulib 20130805+stable

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # GNU Makefile for gnulib central.
-# Copyright (C) 2006, 2009-2012 Free Software Foundation, Inc.
+# Copyright (C) 2006, 2009-2013 Free Software Foundation, Inc.
 #
 # Copying and distribution of this file, with or without modification,
 # in any medium, are permitted without royalty provided the copyright
@@ -26,14 +26,14 @@
 check: $(syntax-check-rules)
 
 sc_prefer_ac_check_funcs_once:
-	if test -d .git; then						\
+	@if test -d .git; then						\
 	  git grep -w -l AC_CHECK_FUNCS modules				\
 	    && { echo use AC_CHECK_FUNCS_ONCE, not AC_CHECK_FUNCS	\
 		   in modules/ 1>&2; exit 1; } || :			\
 	else :; fi
 
 sc_prohibit_leading_TABs:
-	if test -d .git; then						\
+	@if test -d .git; then						\
 	  git grep -l '^ *	' lib m4 tests				\
 	    | grep -Ev '^lib/reg|Makefile|test-update-copyright'	\
 	    | grep .							\
@@ -42,16 +42,28 @@
 	else :; fi
 
 sc_prohibit_augmenting_PATH_via_TESTS_ENVIRONMENT:
-	if test -d .git; then						\
+	@if test -d .git; then						\
 	  url=http://thread.gmane.org/gmane.comp.lib.gnulib.bugs/22874;	\
 	  git grep '^[	 ]*TESTS_ENVIRONMENT += PATH=' modules		\
 	    && { printf '%s\n' 'Do not augment PATH via TESTS_ENVIRONMENT;' \
 		 "  see <$$url>" 1>&2; exit 1; } || :			\
 	else :; fi
 
+# It's easy to forget the noise-suppressing "@" at the beginning
+# of each sc_ rule.  Check for it both in maint.mk and in this file.
+sc_prohibit_sc_omitted_at:
+	@if test -d .git; then						\
+	  git grep -n -A1 '^sc_[[:alnum:]_-]*:' top/maint.mk Makefile	\
+            | grep -vE ':sc_|[0-9][-]	@|--$$'				\
+            | sed 's/-\([0-9][0-9]*\)-/:\1:/'				\
+	    | grep .							\
+	    && { printf '*** %s\n' 'oops; missing "@"'			\
+		 1>&2; exit 1; } || :					\
+	else :; fi
+
 # Run all maint.mk syntax-check tests on gnulib's sources.
 sc_maint:
-	rm -f maint.mk; ln -s top/maint.mk maint.mk
+	@rm -f maint.mk; ln -s top/maint.mk maint.mk
 	$(MAKE) -s srcdir=. gnulib_dir=. _build-aux=build-aux \
             -f cfg.mk -f maint.mk syntax-check
 	rm -f maint.mk
@@ -83,7 +95,7 @@
 allow_AC_LIBOBJ_or := $(shell echo $(allow_AC_LIBOBJ) | tr -s ' ' '|')
 
 sc_prohibit_AC_LIBOBJ_in_m4:
-	url=http://article.gmane.org/gmane.comp.lib.gnulib.bugs/26995;	\
+	@url=http://article.gmane.org/gmane.comp.lib.gnulib.bugs/26995;	\
 	if test -d .git; then						\
 	  git ls-files m4						\
 	     | grep -Ev '^m4/($(allow_AC_LIBOBJ_or))\.m4$$'		\
@@ -93,7 +105,7 @@
 	else :; fi
 
 sc_pragma_columns:
-	if test -d .git; then						\
+	@if test -d .git; then						\
 	  git ls-files|grep '\.in\.h$$'					\
 	      | xargs grep -l '^@PRAGMA_SYSTEM_HEADER@'			\
 	      | xargs grep -L '^@PRAGMA_COLUMNS@'			\
@@ -107,7 +119,7 @@
 # Verify that certain (for now, only Jim Meyering and Eric Blake's)
 # *.c files are consistently cpp indented.
 sc_cpp_indent_check:
-	./gnulib-tool --extract-filelist \
+	@./gnulib-tool --extract-filelist \
 	    $$(cd ./modules; grep -ilrE '(meyering|blake)' .) \
 	  | sort -u \
 	  | grep '\.c$$' \
@@ -119,7 +131,7 @@
 # Extract the symbols from the .h file and compare with the list of
 # symbols extracted from the rule in maint.mk.
 sc_check_sym_list:
-	i=lib/intprops.h; \
+	@i=lib/intprops.h; \
 	diff -u <(perl -lne '/^# *define ([A-Z]\w+)\(/ and print $$1' $$i|fmt) \
 	  <(sed -n /^_intprops_name/,/^_intprops_syms_re/p top/maint.mk \
 	    |sed '/^_/d;s/^  //;s/	*\\$$//')
@@ -127,7 +139,7 @@
 # Ensure that the copyright statements in files and in the module descriptions
 # are consistent.
 sc_check_copyright:
-	./check-copyright
+	@./check-copyright
 
 # Regenerate some files that are stored in the repository.
 regen: MODULES.html

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for gnulib doc.
-# Copyright (C) 2004, 2006-2012 Free Software Foundation, Inc.
+# Copyright (C) 2004, 2006-2013 Free Software Foundation, Inc.
 #
 # Copying and distribution of this file, with or without modification,
 # are permitted in any medium without royalty provided the copyright

=== debian/changelog ===
gnulib (20130805+stable-1) unstable; urgency=low

  * Resumed making upstream snapshots - sorry about the gap.
  * Packaged upstream stable snapshot (Closes: #687986, #710325).
  * Fix gnulib-tool --version, also show snapshot and debian
    package version (Closes: #710330).
  * Refresh 01-gnulib-directory.patch.
  * Update lintian overrides for magical shebangs.
  * Standards-Version: 3.9.4 (no changes).
  * debian/copyright: refresh, switch to machine-interpretable format.

 -- Ian Beckwith <ianb@debian.org>  Sun, 11 Aug 2013 21:16:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: gnulib
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ian Beckwith <ianb@debian.org>
+Maintainer: Ian Beckwith <ianb@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), texinfo
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.gnu.org/software/gnulib/
 Vcs-Browser: http://erislabs.net/gitweb?p=gnulib.git
 Vcs-Git: git://erislabs.net/gnulib.git

## gnulib 20140202%2Bstable

=== debian/changelog ===
gnulib (20140202+stable-2+deb9u1) stretch; urgency=medium

  * Non-maintainer upload.
  * vasnprintf: Fix heap memory overrun bug (CVE-2018-17942) (Closes: #910757)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 09 Feb 2019 21:58:02 +0100

gnulib (20140202+stable-2) unstable; urgency=low

  * New package: git-merge-changelog (Closes: #646013).
  * Thanks to Samuel Bronson <naesten@gmail.com> for
    the git-merge-changelog patches:
    + debian/ changes for git-merge-changelog.
    + Don't hardcode gnulib directory in 01-gnulib-directory.patch.
      Instead, install gnulib-tool into the gnulib directory and symlink to
      it from /usr/bin, like the docs say to do.
    + Bump debhelper compat level to 9 for hardening flags.
  * Man page for git-merge-changelog adapted
    from comments at the top of git-merge-changelog.c
  * Remove duplicate copies of documentation (Closes: #728933).
  * Tweak list of top-level files installed.
  * doc-base: add Format: Info version of manual.

 -- Ian Beckwith <ianb@debian.org>  Sun, 02 Mar 2014 23:04:10 +0000

gnulib (20140202+stable-1) unstable; urgency=low

  * New upstream stable snapshot.
  * Refresh patches.
  * Standards-Version: 3.9.5 (no changes).
  * Tweak lintian overrides.

 -- Ian Beckwith <ianb@debian.org>  Sun, 16 Feb 2014 12:45:44 +0000

## gnulib 20140202+stable

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # GNU Makefile for gnulib central.
-# Copyright (C) 2006, 2009-2013 Free Software Foundation, Inc.
+# Copyright (C) 2006, 2009-2014 Free Software Foundation, Inc.
 #
 # Copying and distribution of this file, with or without modification,
 # in any medium, are permitted without royalty provided the copyright

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for gnulib doc.
-# Copyright (C) 2004, 2006-2013 Free Software Foundation, Inc.
+# Copyright (C) 2004, 2006-2014 Free Software Foundation, Inc.
 #
 # Copying and distribution of this file, with or without modification,
 # are permitted in any medium without royalty provided the copyright
@@ -39,7 +39,7 @@
 
 OMIT_TRAILING_EMPTY_LINES = /^$$/H; /^$$/d; x; s/\n//p; s/\n*//; x
 
-# INSTALL file with old ASCII quotation marks (looks ugly on modern machines).
+# INSTALL file with directed ASCII quotation marks.
 INSTALL: install.texi
 	$(INSTALL_PRELUDE) | cat - $< > tmp.texi
 	$(MAKEINFO) --plaintext --no-validate tmp.texi \
@@ -55,10 +55,11 @@
 	sed -e "s/\`\([^']*\)'/‘\1’/g" $< > $@
 
 GNULIB_TEXI_FILES = $(filter-out maintain.texi make-stds.texi standards.texi,$(wildcard *.texi)) $(wildcard posix-headers/*.texi) $(wildcard posix-functions/*.texi) $(wildcard glibc-headers/*.texi) $(wildcard glibc-functions/*.texi)
+NEWEST_GNULIB_TEXI_FILE = $(shell ls -t $(GNULIB_TEXI_FILES) | sed 1q)
 
 # Date of last update. Requires GNU date.
 updated-stamp: $(GNULIB_TEXI_FILES)
-	date -u -r `ls -t $^ | sed 1q` +"@set UPDATED %F %T" > $@
+	date -u -r $(NEWEST_GNULIB_TEXI_FILE) +"@set UPDATED %F %T" > $@
 
 # Dependencies. Search for @include to find them all.
 gnulib.info gnulib.html gnulib.dvi gnulib.pdf: $(GNULIB_TEXI_FILES) updated-stamp

=== debian/changelog ===
gnulib (20140202+stable-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:26:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: gnulib
 Section: devel
 Priority: optional
-Maintainer: Ian Beckwith <ianb@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), texinfo
-Standards-Version: 3.9.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Beckwith <ianb@debian.org>
+Build-Depends: dpkg-dev (>= 1.16.2), debhelper (>= 9), autoconf, automake, perl
+Build-Depends-Indep: texinfo
+Standards-Version: 3.9.5
 Homepage: http://www.gnu.org/software/gnulib/
 Vcs-Browser: http://erislabs.net/gitweb?p=gnulib.git
 Vcs-Git: git://erislabs.net/gnulib.git
@@ -16,3 +18,14 @@
  The GNU portability library is a macro system and C declarations and
  definitions for commonly-used API elements and abstracted system behaviors. It
  can be used to improve portability and other functionality in your programs.
+
+Package: git-merge-changelog
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: git merge driver for GNU ChangeLog files
+ ChangeLog files *always* foul up most version control systems in
+ their default configuration.
+ .
+ git-merge-changelog is a tool from gnulib designed to help with this
+ for the case of GNU-style ChangeLogs; it can be used with at least
+ git, bzr, and hg.

=== debian/watch ===
version=3
# this package is based on snapshots of the gnulib git repo
# so a watch file is irrelevant
